Run of fresh-releases for sparsebitset

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
[2022-05-24 19:43:52] Opening branch at https://gitlab.com/kalilinux/packages/sparsebitset.git/,branch=kali%2Fmaster
[2022-05-24 19:43:53] Using cached branch https://janitor.kali.org/git/sparsebitset/,branch=kali%2Flatest
[2022-05-24 19:43:53] Total 254 (delta 146), reused 102 (delta 0)
[2022-05-24 19:43:56] Total 181 (delta 124), reused 56 (delta 0)
[2022-05-24 19:43:58] Total 4 (delta 0), reused 0 (delta 0), pack-reused 4
[2022-05-24 19:44:01] Total 4 (delta 0), reused 0 (delta 0), pack-reused 4
[2022-05-24 19:44:04] Total 4 (delta 0), reused 0 (delta 0), pack-reused 4
[2022-05-24 19:44:04] Workspace ready - starting.
[2022-05-24 19:44:04] Running ['deb-new-upstream', '--debian-revision=0kali1', '--require-uscan', '--refresh-patches']
[2022-05-24 19:44:04] Assuming changelog does not need to be updated, since there is a [dch] section in gbp.conf.
Using upstream branch https://github.com/brettwooldridge/SparseBitSet.git (from configuration)
Total 171 (delta 0), reused 1 (delta 0), pack-reused 168
Using version string 1.2.
No upstream upstream-revision format specified, trying tag:1.1
No upstream upstream-revision format specified, trying tag:sparsebitset-1.1
No upstream upstream-revision format specified, trying tag:v1.1
No upstream upstream-revision format specified, trying tag:v.1.1
No upstream upstream-revision format specified, trying tag:release-1.1
No upstream upstream-revision format specified, trying tag:1_1_release
No upstream upstream-revision format specified, trying tag:1_1
No upstream upstream-revision format specified, trying tag:version-1.1
No upstream upstream-revision format specified, trying tag:sparsebitset-1_1-release
No upstream upstream-revision format specified, trying tag:sparsebitset-v1.1
Old upstream version '1.1+dfsg' is not present in upstream branch <UpstreamBranchSource for 'https://github.com/brettwooldridge/SparseBitSet.git/'>. Unable to determine whether upstream history is normally included. Assuming no.
Using uscan to look for the upstream tarball.
Use of uninitialized value in concatenation (.) or string at /usr/share/perl5/Devscripts/Uscan/WatchLine.pm line 868.
Revision b'git-v1:c1f503dfacc4aa522a63a0ef25f3da0f9d4df8ba' exists in repository but not in upstream branch, ignoring
Revision b'git-v1:c1f503dfacc4aa522a63a0ef25f3da0f9d4df8ba' exists in repository but not in upstream branch, ignoring
Imported sparsebitset_1.2.orig.tar.xz with pristine-tar.
All changes applied successfully.
Found tag for topmost changelog version 'c51e095ec7aa3118530f95821aa8dda0be51edaa'
Committing to: /home/janitor/tmp/janitorvqigqjeg/sparsebitset/
added .travis.yml
modified README.md
modified debian/changelog
modified pom.xml
modified src/main/java/com/zaxxer/sparsebits/SparseBitSet.java
added src/test
added src/test/java
added src/test/java/com
added src/test/java/com/zaxxer
added src/test/java/com/zaxxer/sparsebits
added src/test/java/com/zaxxer/sparsebits/InitWithZeroTest.java
added src/test/java/com/zaxxer/sparsebits/PreviousClearBitTest.java
added src/test/java/com/zaxxer/sparsebits/PreviousSetBitTest.java
Committed revision 12.
Merged new upstream version 1.2 (previous: 1.1+dfsg)
Merge new upstream version 1.2
[2022-05-24 19:45:04] Actual command: ['deb-new-upstream', '--debian-revision=0kali1', '--require-uscan', '--refresh-patches']
[2022-05-24 19:45:04] Opened schroot session kali-dev-amd64-sbuild-a5c31244-3bdd-46cb-af95-3b89347538be (from kali-dev-amd64-sbuild)
[2022-05-24 19:45:04] Using fixers: [PgBuildExtOutOfDateControlFixer(), SimpleBuildFixer(MissingConfigure, fix_missing_configure), SimpleBuildFixer(MissingAutomakeInput, fix_missing_automake_input), SimpleBuildFixer(MissingConfigStatusInput, fix_missing_config_status_input), SimpleBuildFixer(MissingPerlFile, fix_missing_makefile_pl), SimpleBuildFixer(DebcargoUnacceptablePredicate, debcargo_coerce_unacceptable_prerelease), SimpleBuildFixer(DebcargoUnacceptableComparator, debcargo_coerce_unacceptable_prerelease), DependencyBuildFixer(AptFetchFailure, retry_apt_failure), PackageDependencyFixer(AptResolver(<ognibuild.debian.apt.AptManager object at 0x7f0294d3c9b0>, [functools.partial(<function python_tie_breaker at 0x7f0284bb90d0>, <GitWorkingTree of /home/janitor/tmp/janitorvqigqjeg/sparsebitset>, ''), BuildDependencyTieBreaker('/var/run/schroot/mount/kali-dev-amd64-sbuild-a5c31244-3bdd-46cb-af95-3b89347538be'), <function popcon_tie_breaker at 0x7f0284bbb9d8>]))]
[2022-05-24 19:45:04] Building debian packages, running 'sbuild -Asv --dpkg-file-suffix=+jan --force-orig-source --source-only-changes'.
[2022-05-24 19:59:25] Attempting to use fixer upstream requirement fixer(apt) to address MissingMavenArtifacts(['junit:junit:jar:debian'])
[2022-05-24 19:59:25] Loading apt contents information
Traceback (most recent call last):
  File "/opt/janitor/ognibuild/ognibuild/debian/build.py", line 205, in build
    args, cwd=local_tree.abspath(subpath), stdout=outf, stderr=outf, env=env
  File "/usr/lib/python3.7/subprocess.py", line 347, in check_call
    raise CalledProcessError(retcode, cmd)
subprocess.CalledProcessError: Command '['/usr/bin/python3', '-m', 'breezy', 'builddeb', '--guess-upstream-branch-url', '--builder=sbuild -Asv --dpkg-file-suffix=+jan --force-orig-source --source-only-changes', '--result-dir=/home/janitor/tmp/janitorvqigqjeg']' returned non-zero exit status 3.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/janitor/ognibuild/ognibuild/debian/build.py", line 232, in build_once
    extra_repositories=extra_repositories,
  File "/opt/janitor/ognibuild/ognibuild/debian/build.py", line 208, in build
    raise BuildFailedError()
breezy.plugins.debian.builder.BuildFailedError: The build failed.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/janitor/ognibuild/ognibuild/debian/fix_build.py", line 534, in build_incrementally
    extra_repositories=extra_repositories,
  File "/opt/janitor/ognibuild/ognibuild/debian/build.py", line 308, in attempt_build
    extra_repositories=extra_repositories,
  File "/opt/janitor/ognibuild/ognibuild/debian/build.py", line 244, in build_once
    sbuild_failure.description)
ognibuild.debian.build.DetailedDebianBuildFailure: ('build', ('build',), None, ['sbuild', '-Asv', '--dpkg-file-suffix=+jan', '--force-orig-source', '--source-only-changes'], MissingMavenArtifacts(['junit:junit:jar:debian']), "Missing maven artifacts: ['junit:junit:jar:debian']")

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/janitor/ognibuild/ognibuild/debian/file_search.py", line 131, in load_direct_url
    response = urlopen(request)
  File "/usr/lib/python3.7/urllib/request.py", line 222, in urlopen
    return opener.open(url, data, timeout)
  File "/usr/lib/python3.7/urllib/request.py", line 531, in open
    response = meth(req, response)
  File "/usr/lib/python3.7/urllib/request.py", line 641, in http_response
    'http', request, response, code, msg, hdrs)
  File "/usr/lib/python3.7/urllib/request.py", line 569, in error
    return self._call_chain(*args)
  File "/usr/lib/python3.7/urllib/request.py", line 503, in _call_chain
    result = func(*args)
  File "/usr/lib/python3.7/urllib/request.py", line 649, in http_error_default
    raise HTTPError(req.full_url, code, msg, hdrs, fp)
urllib.error.HTTPError: HTTP Error 403: Forbidden

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/janitor/janitor/worker.py", line 1044, in run_worker
    force_build=force_build
  File "/usr/lib/python3.7/contextlib.py", line 112, in __enter__
    return next(self.gen)
  File "/opt/janitor/janitor/worker.py", line 790, in process_package
    ws, subpath, output_directory, env)
  File "/opt/janitor/janitor/worker.py", line 385, in build
    max_iterations=MAX_BUILD_ITERATIONS
  File "/opt/janitor/ognibuild/ognibuild/debian/fix_build.py", line 551, in build_incrementally
    if not resolve_error(e.error, e.phase, fixers):
  File "/opt/janitor/ognibuild/ognibuild/fix_build.py", line 145, in resolve_error
    made_changes = fixer.fix(error, phase)
  File "/opt/janitor/ognibuild/ognibuild/debian/fix_build.py", line 163, in fix
    apt_req = self.apt_resolver.resolve(req)
  File "/opt/janitor/ognibuild/ognibuild/resolver/apt.py", line 905, in resolve
    ret = resolve_requirement_apt(self.apt, req)
  File "/opt/janitor/ognibuild/ognibuild/resolver/apt.py", line 826, in resolve_requirement_apt
    ret = rr_fn(apt_mgr, req)
  File "/opt/janitor/ognibuild/ognibuild/resolver/apt.py", line 764, in resolve_oneof_req
    options = [resolve_requirement_apt(apt_mgr, req) for req in req.elements]
  File "/opt/janitor/ognibuild/ognibuild/resolver/apt.py", line 764, in <listcomp>
    options = [resolve_requirement_apt(apt_mgr, req) for req in req.elements]
  File "/opt/janitor/ognibuild/ognibuild/resolver/apt.py", line 826, in resolve_requirement_apt
    ret = rr_fn(apt_mgr, req)
  File "/opt/janitor/ognibuild/ognibuild/resolver/apt.py", line 601, in resolve_maven_artifact_req
    return find_reqs_simple(apt_mgr, [path], regex=regex)
  File "/opt/janitor/ognibuild/ognibuild/resolver/apt.py", line 177, in find_reqs_simple
    for package in find_package_names(apt_mgr, paths, regex, case_insensitive)
  File "/opt/janitor/ognibuild/ognibuild/resolver/apt.py", line 163, in find_package_names
    return apt_mgr.get_packages_for_paths(paths, regex, case_insensitive)
  File "/opt/janitor/ognibuild/ognibuild/debian/apt.py", line 111, in get_packages_for_paths
    paths, self.searchers(), regex=regex, case_insensitive=case_insensitive
  File "/opt/janitor/ognibuild/ognibuild/debian/apt.py", line 86, in searchers
    get_apt_contents_file_searcher(self.session),
  File "/opt/janitor/ognibuild/ognibuild/debian/file_search.py", line 234, in get_apt_contents_file_searcher
    return RemoteContentsFileSearcher.from_session(session)
  File "/opt/janitor/ognibuild/ognibuild/debian/file_search.py", line 246, in from_session
    self.load_from_session(session)
  File "/opt/janitor/ognibuild/ognibuild/debian/file_search.py", line 290, in load_from_session
    self._load_urls(urls, cache_dirs, load_url)
  File "/opt/janitor/ognibuild/ognibuild/debian/file_search.py", line 295, in _load_urls
    f = load_url(url)
  File "/opt/janitor/ognibuild/ognibuild/debian/file_search.py", line 285, in load_url
    return load_url_with_cache(url, cache_dirs)
  File "/opt/janitor/ognibuild/ognibuild/debian/file_search.py", line 152, in load_url_with_cache
    return load_direct_url(url)
  File "/opt/janitor/ognibuild/ognibuild/debian/file_search.py", line 136, in load_direct_url
    'Unable to access apt URL %s: %s' % (url + ext, e))
ognibuild.debian.file_search.AptFileAccessError: Unable to access apt URL http://repo.aptly.info/dists/squeeze/main/Contents-amd64.xz: HTTP Error 403: Forbidden
Full worker log

Publish Blockers

  • ☒ run was not successful
  • ☑ package has not been removed from the archive
  • ☒ command changed from DEB_UPDATE_CHANGELOG=auto deb-new-upstream --debian-revision=0kali1 --require-uscan --refresh-patches to deb-new-upstream --debian-revision=0kali1 --require-uscan --refresh-patches --skip-empty
  • ☑ review not required
  • ☑ 0 publish attempts so far.not currently attempting to back off
  • ☑ proposals not currently being rate-limited for maintainer None
  • ☑ change set 96b2799c-c648-4ceb-ac18-f6e5b6118dda is ready
  • ☑ no relevant previous merge proposals